Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_string_t Struct Reference

`#include <yaml_private.h>`

## Data Fields
yaml_char_t * | start
yaml_char_t * | end
yaml_char_t * | pointer

## Detailed Description

Definition at line 100 of file yaml_private.h.

## Field Documentation

yaml_char_t* yaml_string_t::end

Definition at line 102 of file yaml_private.h.

Referenced by yaml_emitter_analyze_tag_directive().

yaml_char_t* yaml_string_t::pointer

Definition at line 103 of file yaml_private.h.

Referenced by yaml_emitter_analyze_tag_directive(), and yaml_parser_scan_plain_scalar().

yaml_char_t* yaml_string_t::start

Definition at line 101 of file yaml_private.h.

Referenced by yaml_emitter_analyze_tag_directive(), yaml_parser_scan_block_scalar(), yaml_parser_scan_flow_scalar(), and yaml_parser_scan_plain_scalar().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml_private.h